import $http from "@/utils/httpRequest.js";
//
export const dataCenter = {
  customerAnalysis: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/customer/analyse`,
      method: "get",
      params: data,
    });
  },
  customerTrend: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/customer/trend`,
      method: "get",
      params: data,
    });
  },
  //商品分析
  productAnalysis: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/product/analyse`,
      method: "get",
      params: data,
    });
  },
  //订单分析
  orderAnalysis: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/order/analyse`,
      method: "get",
      params: data,
    });
  },
  //订单结算统计
  orderSummary: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/settle/summary`,
      method: "get",
      params: data,
    });
  },
  //订单结算明细
  orderSummaryPage: (data) => {
    return $http.request({
      url: `/merchant-api/pc/data/analyse/settle/page`,
      method: "get",
      params: data,
    });
  },
};
